> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment transactions



## OpenAPI

````yaml IPG post /payment/transactions
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.7exchange.io/ipg/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /payment/transactions:
    post:
      operationId: postPaymentTransactions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Transactions'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    Transactions:
      type: object
      properties:
        status:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
        pagination:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PaginationTransactions'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    PaginationTransactions:
      type: object
      properties:
        pageno:
          type: integer
          format: int64
        records:
          type: integer
          format: int64
        fromDate:
          type: string
          nullable: true
        toDate:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````